> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/agent-threads/get-agents-threads-messages-status-by-thread-id-and-message-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Gets agent thread message status. GET https://api.awork.com/api/v1/agents/threads/{threadId}/messages/{messageId}/status Returns the processing status of a submitted agent thread message, including messages still in the queue. Use the accepted message id returned by the server when creating a thread or submitting a message. The response indicates whether an agent response exists and includes its id and error details when available. Retrieve reply content with [GET /agents/threads/\{threadId}/messages](https://developers.awork.com/apiv1/agent-threads/get-agents-threads-messages-by-thread-id).Any authenticated user. Reference: https://developers.awork.com/apiv1/agent-threads/get-agents-threads-messages-status-by-thread-id-and-message-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `threadId` (string, required) — The id of the thread that contains the message. - `messageId` (string, required) — The accepted message id returned by the server. ## Response ### 200 OK - `messageId` (string, optional) — The server-generated identifier of the accepted user message. - `status` (string, optional, nullable) — The processing status. - `hasAgentResponse` (boolean, optional) — Whether an agent response was persisted. - `responseId` (string, optional, nullable) — The persisted agent response id. - `lastSequenceNumber` (integer, optional, nullable) — The last streamed sequence number observed for the response. - `error` (string, optional, nullable) — The processing error, if any. ## Errors ### 404 Not Found Error Not Found - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ## Types ### ValidationErrorResponse The validation error response. - `property` (string, optional, nullable) — The name of the property that failed validation. - `message` (string, optional, nullable) — The reason why this property failed validation. ## Examples **Response** ```json { "messageId": "66fcbdc5-2ae6-43bd-b3ab-f18ccd24909a", "status": "completed", "hasAgentResponse": true, "responseId": "msg_01K4CLIENTSTATUS", "lastSequenceNumber": 42, "error": "The model provider could not complete the run." } ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/agents/threads/threadId/messages/messageId/status" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/agents/threads/threadId/messages/messageId/status'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/agents/threads/threadId/messages/messageId/status" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/agents/threads/threadId/messages/messageId/status") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.awork.com/api/v1/agents/threads/threadId/messages/messageId/status") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.awork.com/api/v1/agents/threads/threadId/messages/messageId/status', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/agents/threads/threadId/messages/messageId/status"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/agents/threads/threadId/messages/messageId/status")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```